Subject: Re: [PATCH] Explicitly add the default "git pull" behaviour to .git/config on clone

From: Jakub Narebski <[email-masked]>
Date: Fri, 08 Dec 2006 11:36:36 +0100

Josef Weidendorfer wrote:

> However, as discussed in another thread, branch.*.merge currently has quite
> a strange semantic [*1*], and without changing, users have no way to grasp this
> configuration option.
[...]
> [*1*] Currently, in branch.*.merge you have to specify the remote branch name
> of a refspec which updates a local tracking branch in the fetch phase of git pull.
> I.e. the option value has nothing todo with the merge action itself!

That's (I think) because branch.<name>.merge can be for pull used _without_
tracking branch. So it is not that easy to change semantics, I agree bit
strange for newbie git users, who know git from the begining with
--use-separate-remote and tracking branches.

Perhaps we should extend it so it can take beginning part of refspec
(as now), full refspec, or ':' and local branch.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git